GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
gdcm::PixmapReader Class Reference

PixmapReader. More...

`#include <gdcmPixmapReader.h>`

Inheritance diagram for gdcm::PixmapReader:
[legend]
Collaboration diagram for gdcm::PixmapReader:
[legend]

## Public Member Functions

| PixmapReader ()
virtual | ~PixmapReader ()
const Pixmap & | GetPixmap () const
| Return the read image (need to call Read() first)
Pixmap & | GetPixmap ()
virtual bool | Read ()
Public Member Functions inherited from gdcm::Reader
| Reader ()
virtual | ~Reader ()
bool | CanRead () const
const File & | GetFile () const
| Set/Get File.
File & | GetFile ()
| Set/Get File.
bool | ReadSelectedTags (std::set< Tag > const &tags)
| Will only read the specified selected tags.
bool | ReadUpToTag (const Tag &tag, std::set< Tag > const &skiptags=std::set< Tag >())
void | SetFile (File &file)
| Set/Get File.
void | SetFileName (const char *filename_native)
void | SetStream (std::istream &input_stream)
| Set the open-ed stream directly.

## Protected Member Functions

virtual bool | ReadACRNEMAImage ()
virtual bool | ReadImage (MediaStorage const &ms)
Protected Member Functions inherited from gdcm::Reader
std::istream * | GetStreamPtr () const
bool | ReadDataSet ()
bool | ReadMetaInformation ()
bool | ReadPreamble ()

## Protected Attributes

SmartPointer< Pixmap > | PixelData
Protected Attributes inherited from gdcm::Reader
SmartPointer< File > | F

## Detailed Description

PixmapReader.

Note
  its role is to convert the DICOM DataSet into a gdcm::Pixmap representation By default it is also loading the lookup table and overlay when found as they impact the rendering or the image

See PS 3.3-2008, Table C.7-11b IMAGE PIXEL MACRO ATTRIBUTES for the list of attribute that belong to what gdcm calls a 'Pixmap'

Warning
  the API ReadUpToTag and ReadSelectedTag

See Also
  Pixmap

## Constructor & Destructor Documentation

gdcm::PixmapReader::PixmapReader | ( |  | ) |

virtual gdcm::PixmapReader::~PixmapReader | ( |  | ) |

virtual

## Member Function Documentation

const Pixmap& gdcm::PixmapReader::GetPixmap | ( |  | ) | const

Return the read image (need to call Read() first)

Pixmap& gdcm::PixmapReader::GetPixmap | ( |  | ) |

virtual bool gdcm::PixmapReader::Read | ( |  | ) |

virtual

Read the DICOM image. There are two reason for failure:

1. The input filename is not DICOM
2. The input DICOM file does not contains an Pixmap.

Reimplemented from gdcm::Reader.

Reimplemented in gdcm::ImageRegionReader, and gdcm::ImageReader.

virtual bool gdcm::PixmapReader::ReadACRNEMAImage | ( |  | ) |

protectedvirtual

Reimplemented in gdcm::ImageReader.

virtual bool gdcm::PixmapReader::ReadImage | ( | MediaStorage const & | ms | ) |

protectedvirtual

Reimplemented in gdcm::ImageReader.

## Member Data Documentation

SmartPointer<Pixmap> gdcm::PixmapReader::PixelData

protected

The documentation for this class was generated from the following file:

- gdcmPixmapReader.h